cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1069
Views
4
Helpful
5
Replies
Beginner

APIC - EM : Installation help needed

I have downloaded APIC - EM (APIC-EM1-1.1.1.34-0.4.0.1510.dev404-g953407a.iso). Created a VM(No OS) on Hyper V . booted my VM with the image mounted. I am getting the following options on GRUB

1. Install Ubuntu Server

2. OEM Install( for manufactures)

3.Multiple server install with MAAS

4.Check disc for defects

5.Rescue a broken sytem.

I chose the first option . It installed only Ubuntu OS for me. I didn't  even get the APIC-EM license agreement screen. What am i missing?

Everyone's tags (1)
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Cisco Employee

Re: APIC - EM : Installation help needed

The only supported hypervisor for the APIC-EM is VMWare vSphere (ESXi 5.1/5.5/6.0).

5 REPLIES 5
Beginner

Re: APIC - EM : Installation help needed

I tried it on Vmvare .it worked without any issues. so seems like Hyper V is not supported

Highlighted
Cisco Employee

Re: APIC - EM : Installation help needed

The only supported hypervisor for the APIC-EM is VMWare vSphere (ESXi 5.1/5.5/6.0).

Beginner

Re: APIC - EM : Installation help needed

Hi John,

try a Gen1 Hyper V.

We had the same behavior in our Hyper V environment here (while running as generation 2 machine).

You should be able to install it as expected under gen 1 Hyper V.

Greetings

Re: APIC - EM : Installation help needed

Just wanted bring this topic up back to the surface and ask, what are the reason's why you can't build a an APIC-EM server on a Hyper-V server? I'm very much a VMWARE fan, used it for years and years, but now days I work in an environment that is very much a Hyper-V one. Not to get into a discussion about difference between the two Hypervisors, but I have to say I fundamentally see no reason why you can't run APIC-EM on a Hyper-V platform. That all said I have a few questions:

  1. Can someone, maybe from Cisco, elaborate on reason's why not?
  2. Is there edition of APIC-EM for Hyper-V in the road map?
  3. Has anyone actually built an APIC-EM server on Hyper-V using just the ISO? Seems like it is possible.

I'll end with one thought, the current builds of ISE have 100% support for Hyper-V, and it would seem to me, again noting do a deep dive, but both products have many similar requirements and characteristics. So, why no Hyper-V version and why could you not install as an ISO?

Cisco Employee

Re: APIC - EM : Installation help needed

You are correct.  There is nothing stopping you, it is just an ISO.

We do not officially test Hyper-V when we release code, so there is no "official support".

Yes, there are people who have done this.

Adam

Content for Community-Ad
August's Community Spotlight Awards